AIX OpenSSH 公告:openssh_advisory10.asc

high Nessus 插件 ID 136324

语言:

全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 AIX 主机上安装的 OpenSSH 版本受到多个漏洞的影响。

描述

远程 AIX 主机安装的 OpenSSH 版本受到以下漏洞的影响:

- OpenSSH 容易受到拒绝服务的影响,这是 kex_input_kexinit() 函数中的错误所致。通过在密钥交换进程期间发送特别构建的数据,远程攻击者可利用此漏洞来消耗所有可用的内存资源。
(CVE-2016-8858)

-OpenSSH可允许经认证的远程攻击者在系统上执行任意代码,这是由跨转发的代理通道加载特别构建的 PKCS#11 模块造成的。攻击者可利用此漏洞写入文件,或在系统上执行任意代码。(CVE-2016-10009)

-OpenSSH可允许经认证的本地攻击者获取敏感信息,这是由权限分离缺陷造成的。攻击者可利用此漏洞获取主机私钥材料和其他敏感信息。(CVE-2016-10011)

- 本地攻击者可利用 OpenSSH 获取系统的提升权限,这是未对共享内存管理器进行正确的边界检查所致。本地攻击者可利用此漏洞获取系统的提升权限。(CVE-2016-10012)

解决方案

IBM AIX 网站上提供可供下载的补丁。

另见

http://aix.software.ibm.com/aix/efixes/security/openssh_advisory10.asc

插件详情

严重性: High

ID: 136324

文件名: aix_openssh_advisory10.nasl

版本: 1.3

类型: local

发布时间: 2020/5/5

最近更新时间: 2021/1/4

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2016-10012

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 7.2

矢量: AV:L/AC:L/Au:N/C:C/I:C/A:C

CVSS v3

风险因素: High

基本分数: 7.8

矢量: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

漏洞信息

CPE: cpe:/o:ibm:aix, cpe:/a:openbsd:openssh

必需的 KB 项: Host/AIX/lslpp, Host/local_checks_enabled, Host/AIX/version

补丁发布日期: 2017/2/5

漏洞发布日期: 2017/2/5

参考资料信息

CVE: CVE-2016-8858, CVE-2016-10009, CVE-2016-10011, CVE-2016-10012

BID: 93776, 94968, 94977, 94975